Loading...
Searching...
No Matches
pcl::DefaultPointRepresentation< SHOT352 > Class Reference

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::DefaultPointRepresentation< SHOT352 >:

## Public Types

using | Ptr
using | ConstPtr
Public Types inherited from pcl::PointRepresentation< SHOT352 >
using | Ptr
using | ConstPtr

## Public Member Functions

| DefaultPointRepresentation ()
void | copyToFloatArray (const SHOT352 &p, float *out) const override
| Copy point data from input point to a float array.
| ~DefaultPointRepresentation () override=default
Ptr | makeShared () const
Public Member Functions inherited from pcl::PointRepresentation< SHOT352 >
virtual | ~PointRepresentation ()=default
| Empty destructor.
bool | isTrivial () const
| Returns whether this point representation is trivial.
virtual bool | isValid (const SHOT352 &p) const
| Verify that the input point is valid.
void | vectorize (const SHOT352 &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha.
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points.
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation.

## Additional Inherited Members

Protected Attributes inherited from pcl::PointRepresentation< SHOT352 >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e.
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension.
bool | trivial_
| Indicates whether this point representation is trivial.

## Detailed Description

Definition at line 512 of file point_representation.h.

## Member Typedef Documentation

## ConstPtr

using pcl::DefaultPointRepresentation< SHOT352 >::ConstPtr

Definition at line 205 of file point_representation.h.

## Ptr

using pcl::DefaultPointRepresentation< SHOT352 >::Ptr

Definition at line 204 of file point_representation.h.

## Constructor & Destructor Documentation

## DefaultPointRepresentation()

pcl::DefaultPointRepresentation< SHOT352 >::DefaultPointRepresentation | ( |  | ) |

inline

Definition at line 515 of file point_representation.h.

References pcl::PointRepresentation< SHOT352 >::nr_dimensions_.

## ~DefaultPointRepresentation()

pcl::DefaultPointRepresentation< SHOT352 >::~DefaultPointRepresentation | ( |  | ) |

override default

## Member Function Documentation

## copyToFloatArray()

void pcl::DefaultPointRepresentation< SHOT352 >::copyToFloatArray | ( | const SHOT352 & | p,
|  | float * | out ) const

inline override virtual

Copy point data from input point to a float array.

This method must be overridden in all subclasses.

Parameters

  [in] | p | The input point
  [out] | out | A pointer to a float array.

Implements pcl::PointRepresentation< SHOT352 >.

Definition at line 521 of file point_representation.h.

References pcl::SHOT352::descriptor, and pcl::PointRepresentation< SHOT352 >::nr_dimensions_.

## makeShared()

Ptr pcl::DefaultPointRepresentation< SHOT352 >::makeShared | ( |  | ) | const

inline

Definition at line 220 of file point_representation.h.

The documentation for this class was generated from the following file:

- pcl/point_representation.h